# Transactions

Upload, update, and query transaction detail.

## Update Subledgers

 - [PUT /api/v1/transactions/subledgers](https://developer.floqast.app/api-reference/openapi/transactions/putsubledgers.md): This endpoint takes a list of FloQast reconciliation IDs and updates the subledger balance for each.

## Update Transactions

 - [PUT /api/{version}/transactions](https://developer.floqast.app/api-reference/openapi/transactions/puttransactions.md): This endpoint takes a reconciliationId and a corresponding ledger type and updates each provided transaction. In the case of General Ledger Transactions, it also takes a unique entityId.

## Delete Transactions

 - [DELETE /api/v1/transactions/{reconciliationId}](https://developer.floqast.app/api-reference/openapi/transactions/deletetransactions.md): This endpoint takes a reconciliationId and deletes all subledger transactions tied to it.

## Get Status

 - [GET /api/v1/transactions/status/{statusId}](https://developer.floqast.app/api-reference/openapi/transactions/getstatus.md): This endpoint takes an ID of an endpoint event and returns the status of the event.

